星期四, 5月 19, 2011

Perl 5.14.0

有些太新的東西還是不適合拿到工作上用,都是在陪大家踩地雷...

Net::OAuth 中用到 RSA-SHA1 時會使用 Crypt::OpenSSL::RSA,但在 Perl 5.14.0 上面不會動,在「CPAN Testers Reports: Reports for Crypt-OpenSSL-RSA」這邊也還蠻明顯的,整個 Perl 5.14 都掛了。

其實解法很早就有人提出來,不過作者一直沒動:「Bug #65947 for Crypt-OpenSSL-RSA: Bleadperl v5.13.9-540-g0a0b6c9 breaks」。

先繼續龜在 5.12.3 好了...

沒有留言: